# BukkitMessageFormatter (ACF (Bukkit) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: BukkitMessageFormatter

Package co.aikar.commands

# Class BukkitMessageFormatter

java.lang.Object
co.aikar.commands.MessageFormatter<org.bukkit.ChatColor>
co.aikar.commands.BukkitMessageFormatter

public class BukkitMessageFormatter extends co.aikar.commands.MessageFormatter<org.bukkit.ChatColor>

## Constructor Summary

Constructors
Constructor
Description
`BukkitMessageFormatter(org.bukkit.ChatColor... colors)`

## Method Summary

### Methods inherited from class co.aikar.commands.MessageFormatter

`format, format, getColor, getDefaultColor, setColor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BukkitMessageFormatter

public BukkitMessageFormatter (org.bukkit.ChatColor... colors)